Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

FreeNAS 11.2-U6 issues updating Plex

ghostwolf59

FreeNAS Experienced
Joined
Mar 2, 2013
Messages
145
Have issues with FreeNAS FreeNAS-11.2-U6 that I upgraded from 11.2-U4 a week or two ago.

Noticed that my plex installation was out of date, so decided to upgrade to most recent going to 1.18.1.2019

Performed the steps I always done...

1. ssh into jail and did pkg update
* Received a warning about iocage not current version *which is weird - system was built from scratch under version 11, and I never received this error/warning before. Allowed to ignore which I did.
2. shut down my plex server
3. did a portsnap update
4. Backed up my plex data
5. removed current installation *pkg remove plexmediaserver* to ensure a clean install
6. cd to /usr/ports/multimedia/plexmediaserver
7. make install clean *portsnap info pointing to plex version 1.18.1.2019


failure:
root@plex:/usr/ports/multimedia/plexmediaserver # make install clean
/!\ ERROR: /!\

Ports Collection support for your FreeBSD version has ended, and no ports are
guaranteed to build on this system. Please upgrade to a supported release.

No support will be provided if you silence this message by defining
ALLOW_UNSUPPORTED_SYSTEM.

*** Error code 1

Stop.
make[1]: stopped in /usr/ports/multimedia/plexmediaserver
*** Error code 1

Stop.
make: stopped in /usr/ports/multimedia/plexmediaserver
root@plex:/usr/ports/multimedia/plexmediaserver #


*** Now unable to install plex
 

garm

FreeNAS Expert
Joined
Aug 19, 2017
Messages
1,282
FreeBSD 11.2 is EOL, so until we see FreeNAS 11.3 this is what we have
 

ghostwolf59

FreeNAS Experienced
Joined
Mar 2, 2013
Messages
145
FreeBSD 11.2 is EOL, so until we see FreeNAS 11.3 this is what we have
This is sooo bad! Sticking with 11.2 should NOT(!) break the system and if it do then someone havent done its job/analysis properly!
If a minor version is required (11.3) *minor and not patch *MINOR* - should NEVER break an entire installation like this.
Happy if it was a major version causing this, but if this major version still is pending NOTHING(!) should break under current version - yet what you suggest is that its caused by a future minor release in the pipeline - how the hell could that affect current installations??? Its not even there (and again, as a minor change, it should never, ever break basic functions like this!

So what would one do facing the situation? 11.3 isnt out, so why would sticking to this break everything?
I even made an attempt to create a brand new iocage jail thinking the plex jail iocage was screwed, but the same issue crops up as soon as I try to upgrade the packages *not overriding the warning, results in package upgrade terminates
So nothing I really can do.

Read somewhere about the iocage being outdated, but don't understand that since I installed Freenas clean starting with the same major version 11.2-U2 and 11.2-U4 so don't understand why this suddenly would be an issue.
This is a major issue as far as I am concerned so would appreciate some ideas on how to...
1. revert package upgrade to earlier version *that I don't know what version it was
2. Way forward *whatever that results in

As it stands Im 100% screwed with my plex installation *can't go back, nor go forward and don't what to break every single service I have going in other iocage jails and start over unless I really have to
 
Last edited:

Apollo

FreeNAS Guru
Joined
Jun 13, 2013
Messages
1,081
FreeBSD 11.2 is EOL, so until we see FreeNAS 11.3 this is what we have
Have issues with FreeNAS FreeNAS-11.2-U6 that I upgraded from 11.2-U4 a week or two ago.

Noticed that my plex installation was out of date, so decided to upgrade to most recent going to 1.18.1.2019

Performed the steps I always done...

1. ssh into jail and did pkg update
* Received a warning about iocage not current version *which is weird - system was built from scratch under version 11, and I never received this error/warning before. Allowed to ignore which I did.
2. shut down my plex server
3. did a portsnap update
4. Backed up my plex data
5. removed current installation *pkg remove plexmediaserver* to ensure a clean install
6. cd to /usr/ports/multimedia/plexmediaserver
7. make install clean *portsnap info pointing to plex version 1.18.1.2019


failure:
root@plex:/usr/ports/multimedia/plexmediaserver # make install clean
/!\ ERROR: /!\

Ports Collection support for your FreeBSD version has ended, and no ports are
guaranteed to build on this system. Please upgrade to a supported release.

No support will be provided if you silence this message by defining
ALLOW_UNSUPPORTED_SYSTEM.

*** Error code 1

Stop.
make[1]: stopped in /usr/ports/multimedia/plexmediaserver
*** Error code 1

Stop.
make: stopped in /usr/ports/multimedia/plexmediaserver
root@plex:/usr/ports/multimedia/plexmediaserver #


*** Now unable to install plex
I have been doing iocage jail installs today and I got the similar error message, and when asked about "ALLOW_UNSUPPORTED_SYSTEM." I said yes and the update went without trouble.
You could try a new iocage install from the GUI and you will be given the choice of 11.1 (stretch), 11.2 (stretch) and 11.3.
I used 11.2 (stretch) .
So it seems you shouldn't have too much trouble then.
 

ghostwolf59

FreeNAS Experienced
Joined
Mar 2, 2013
Messages
145
FreeBSD 11.3 is out.. sins a while.. https://www.freebsd.org/where.html
But won't show on the gui upgrade

Would it be safe to go down the 11.3 path or is it still highly experimental? don't want to break everything I got running *something a new iocage would do for sure.
Also noticed that the gui won't let me go into storage pools, disks etc - gui does nothing when clicking the option(s)
Issues I never experienced prior to 11.2-U6!!! - Feeling annoyed and irritated now! :(
 

Apollo

FreeNAS Guru
Joined
Jun 13, 2013
Messages
1,081
But won't show on the gui upgrade

Would it be safe to go down the 11.3 path or is it still highly experimental? don't want to break everything I got running *something a new iocage would do for sure.
Also noticed that the gui won't let me go into storage pools, disks etc - gui does nothing when clicking the option(s)
Issues I never experienced prior to 11.2-U6!!! - Feeling annoyed and irritated now! :(
Maybe you need to clean your browser cookies.
 

Jailer

Not strong, but bad
Joined
Sep 12, 2014
Messages
4,280
I've posted before on how to roll back a package to a previous version but don't have time right now to search for it.
 

danb35

FreeNAS Wizard
Joined
Aug 16, 2011
Messages
10,796
You wait for FreeNAS 11.3 to come out
...or 11.2-U7, which Kris has said will allow the installation of a 11.3 jail, which might fix this problem.

...or use what the port tells you: ALLOW_UNSUPPORTED_SYSTEM=1 make install clean.

...or suppress the pathological need for Plex to be up-to-the-minute current and simply do pkg install plexmediaserver.
 

ghostwolf59

FreeNAS Experienced
Joined
Mar 2, 2013
Messages
145
I've posted before on how to roll back a package to a previous version but don't have time right now to search for it.
please do! - found some old post using some software but problem is that Im stuck and technically any new software would spit the dummy
 

ghostwolf59

FreeNAS Experienced
Joined
Mar 2, 2013
Messages
145
...or 11.2-U7, which Kris has said will allow the installation of a 11.3 jail, which might fix this problem.

...or use what the port tells you: ALLOW_UNSUPPORTED_SYSTEM=1 make install clean.

...or suppress the pathological need for Plex to be up-to-the-minute current and simply do pkg install plexmediaserver.
This option scared me = anyone tried it? what is the end result ?
Technically uncritical within the plex jail, but don't want to be hit with some nasty surprised if I can help
 

ghostwolf59

FreeNAS Experienced
Joined
Mar 2, 2013
Messages
145
This option scared me = anyone tried it? what is the end result ?
Technically uncritical within the plex jail, but don't want to be hit with some nasty surprised if I can help
Your last option does not pull down the latest version though (will try it and see how it goes - at least it would bring me back to where I were in terms of plex version
i.e pkg install plexmediaserver brings down version 1.18.1.1973_1 (Not the latest that is 1.18.1.2019)
Will post an update once I know the end result *at least it prompts me to install it ;)
 

danb35

FreeNAS Wizard
Joined
Aug 16, 2011
Messages
10,796
Not even hinted as a pre-release as we speak from what I can see
Yes it is; it's out in Beta. I wouldn't recommend installing it on a production machine, but it's definitely in pre-release now.
This option scared me = anyone tried it? what is the end result ?
I haven't tried it (I just use pkg for Plex), but it's just pulling down Plex's precompiled binary, so it should be plenty safe.
pkg install plexmediaserver brings down version 1.18.1.1973_1 (Not the latest that is 1.18.1.2019)
Yes, there's generally a little bit of lag in the packages. That's why I associate that option with "suppress the pathological need for Plex to be up-to-the-minute current." Seriously, it won't hurt anything if your Plex version is a week or two old.
 

ghostwolf59

FreeNAS Experienced
Joined
Mar 2, 2013
Messages
145
Your last option does not pull down the latest version though (will try it and see how it goes - at least it would bring me back to where I were in terms of plex version
i.e pkg install plexmediaserver brings down version 1.18.1.1973_1 (Not the latest that is 1.18.1.2019)
Will post an update once I know the end result *at least it prompts me to install it ;)
pkg install plexmediaserver seem to have restored it to the point of at least being able to access my media cross the board - havent checked in more details, but thanks for passing on this option *weird that works within the same jail that make spits the dummy though - Again, version pulled is not the latest though but so far happy with the solution - thanks!
 

Jailer

Not strong, but bad
Joined
Sep 12, 2014
Messages
4,280
Again, version pulled is not the latest though but so far happy with the solution - thanks!
I just tried it and it updated to the latest version for me.
 

Jailer

Not strong, but bad
Joined
Sep 12, 2014
Messages
4,280
Top